<script>
  import Meme from "../../generics/meme.svelte";
  export let memes;
</script>

<style>
  .wrapper {
    overflow-y: auto;
  }

  .meme-wrapper {
    columns: 20rem;
    column-gap: 1rem;
    line-break: loose;
  }
</style>

<div class="wrapper flex-01 ptb-020 plr-040 scroll">
  <div class="meme-wrapper">
    {#each memes as meme, index}
      <Meme {meme} {index} />
    {/each}
  </div>
</div>
